Subject: [bitcoin-dev] request BIP number for: "Support for Datastream Compression"

From: Peter Tschipper <[email-masked]>
Date: Mon, 9 Nov 2015 11:18:10 -0800

This is my first time through this process so please bear with me. 

I opened a PR #6973 this morning for Zlib Block Compression for block
relay and at the request of @sipa  this should have a BIP associated
with it.   The idea is simple, to compress the datastream before
sending, initially for blocks only but it could theoretically be done
for transactions as well.  Initial results show an average of 20% block
compression and taking 90 milliseconds for a full block (on a very slow
laptop) to compress.  The savings will be mostly in terms of less
bandwidth used, but I would expect there to be a small performance gain
during the transmission of the blocks particularly where network latency
is higher. 

I think the BIP title, if accepted should be the more generic, "Support
for Datastream Compression"  rather than the PR title of "Zlib
Compression for block relay" since it could also be used for
transactions as well at a later time.

Thanks for your time...